Page MenuHomePhabricator

[LLDB][MIPS] Fix Emulation of Compact branch and ADDIU instructions
ClosedPublic

Authored by nitesh.jain on Jun 7 2016, 3:53 AM.

Details

Summary

This patch contains 2 changes:

  1. Corrected target address calculation of compact branch instructions to reflect changes in disassembler (http://reviews.llvm.org/D17540).
  2. Added emulation for (missing) 'Addiu' instruction.

Diff Detail

Repository
rL LLVM

Event Timeline

nitesh.jain updated this revision to Diff 59856.Jun 7 2016, 3:53 AM
nitesh.jain retitled this revision from to [LLDB][MIPS] Fix Emulation of Compact branch and ADDIU instructions.
nitesh.jain updated this object.
nitesh.jain added reviewers: clayborg, bhushan, jaydeep.
nitesh.jain set the repository for this revision to rL LLVM.
jaydeep accepted this revision.Jun 8 2016, 9:15 PM
jaydeep edited edge metadata.

Looks good to me.

This revision is now accepted and ready to land.Jun 8 2016, 9:15 PM
bhushan accepted this revision.Jun 9 2016, 3:56 AM
bhushan edited edge metadata.

Looks good.

clayborg accepted this revision.Jun 20 2016, 5:19 PM
clayborg edited edge metadata.
slthakur closed this revision.Jun 22 2016, 11:57 PM

Committed in rL273535

You also need to emulate dsubu and subu as the MIPS LLVM backend will generate them in certain cases.

You also need to emulate dsubu and subu as the MIPS LLVM backend will generate them in certain cases.

Thanks will emulate them too.